Bug 639986 - virt-df --csv does not properly quote " in libvirt domain names
virt-df --csv does not properly quote " in libvirt domain names
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-04 09:40 EDT by Richard W.M. Jones
Modified: 2011-07-14 15:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-14 15:17:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2010-10-04 09:40:19 EDT
Description of problem:

I have a domain called " (double quote).  When I use
virt-df --csv, the output is not properly quoted:

$ sudo virt-df --csv \"
Virtual Machine,Filesystem,1K-blocks,Used,Available,Use%
""","/dev/sda1",31725,396,29691,1.2%

Note that the first field should be """"

Version-Release number of selected component (if applicable):

libguestfs-tools-1.5.21-1.fc14.3.x86_64
Comment 1 Richard W.M. Jones 2010-10-16 09:37:44 EDT
Set target to fix this in upstream libguestfs 1.6.
Comment 2 Richard W.M. Jones 2010-10-18 09:21:13 EDT
Proposed fix posted upstream:
https://www.redhat.com/archives/libguestfs/2010-October/msg00032.html

Note You need to log in before you can comment on or make changes to this bug.